IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[HDOSYA_HEMSIRE_GOZLEM_LISTE]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[HDOSYA_HEMSIRE_GOZLEM_LISTE]
GO

CREATE  FUNCTION [dbo].[HDOSYA_HEMSIRE_GOZLEM_LISTE] (@YATISID as Integer, @GIRISTARIH AS DATETIME, @AYRAC AS NVARCHAR(5))  
RETURNS nvarchar(max) AS  
BEGIN 
declare @FLISTE as nvarchar(max),
	@FATURA as nvarchar(250)
	
SET @FLISTE = '' 
DECLARE HDOSYA_HEMSIRE_GOZLEM_CURSOR CURSOR 
   FOR   
   SELECT 
  'Hemşire Gözlem Notu:'+convert(varchar,IZLEM)+' _Ateş:'+convert(varchar,ATES)+'_Nabiz:'+convert(varchar,NABIZ)+'_TA:'+convert(varchar,TA)+'_SpO2:'+convert(varchar,SpO2)+'_SS:'+convert(varchar,SS)+'_Kan Sekeri:'+convert(varchar,KANSEKERI)+'_Beslenme:'+convert(varchar,BESLENME) IZLEM
   FROM HYATIS (NOLOCK) 
   LEFT OUTER JOIN HYIZLEMHEMSIRE (NOLOCK) ON HYATIS.HYATISID=HYIZLEMHEMSIRE.HYATISID 
   WHERE HYATIS.HYATISID = @YATISID AND DBO.TARIHAL(TARIH) = @GIRISTARIH 
   ORDER BY TARIH
OPEN HDOSYA_HEMSIRE_GOZLEM_CURSOR
FETCH NEXT FROM HDOSYA_HEMSIRE_GOZLEM_CURSOR INTO @FATURA
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @FLISTE = @FLISTE + @FATURA + @AYRAC
	FETCH NEXT FROM HDOSYA_HEMSIRE_GOZLEM_CURSOR INTO @FATURA
END
	IF CHARINDEX(',', ISNULL(@FLISTE,' ')) <> 0
		SET @FLISTE = LEFT(@FLISTE, LEN(@FLISTE)-1)

set @FLISTE=CHAR(13)+@FLISTE
return @FLISTE
END
GO